OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockNode

    java.lang.Object
      org.opennms.netmgt.mock.MockElement
          org.opennms.netmgt.mock.MockContainer
              org.opennms.netmgt.mock.MockNode

public class MockNode
extends MockContainer

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`(package private) java.lang.String` `m_label`
`(package private) int` `m_nodeid`

Fields inherited from class org.opennms.netmgt.mock.MockContainer
``

Fields inherited from class org.opennms.netmgt.mock.MockElement
`m_parent`

Constructor Summary
`MockNode(MockNetwork network, int nodeid, java.lang.String label)`

Method Summary
`MockInterface` `addInterface(java.lang.String ipAddr)`
`Event` `createDeleteEvent()`
`Event` `createDownEvent()`
`Event` `createUpEvent()`
`MockInterface` `getInterface(java.lang.String ipAddr)`
`(package private) java.lang.Object` `getKey()`
`java.lang.String` `getLabel()`
`MockNetwork` `getNetwork()`
`int` `getNodeId()`
`void` `removeInterface(MockInterface iface)`
`java.lang.String` `toString()`
`void` `visit(MockVisitor v)`

Methods inherited from class org.opennms.netmgt.mock.MockContainer
`addAnticipator, addMember, getMember, getMembers, getPollCount, getPollStatus, removeAnticipator, removeMember, resetPollCount, visitMembers`

Methods inherited from class org.opennms.netmgt.mock.MockElement
`bringDown, bringUnresponsive, bringUp, createDownEvent, createUpEvent, getParent, moveTo, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_label

    java.lang.String m_label

### m_nodeid

    int m_nodeid

Constructor Detail

### MockNode

    public MockNode(MockNetwork network,
                    int nodeid,
                    java.lang.String label)

Method Detail

### addInterface

    public MockInterface addInterface(java.lang.String ipAddr)

### getInterface

    public MockInterface getInterface(java.lang.String ipAddr)

### getKey

    java.lang.Object getKey()

  Specified by:
    `getKey` in class `MockElement`

### getLabel

    public java.lang.String getLabel()

### getNetwork

    public MockNetwork getNetwork()

  Overrides:
    `getNetwork` in class `MockElement`

### getNodeId

    public int getNodeId()

### removeInterface

    public void removeInterface(MockInterface iface)

### toString

    public java.lang.String toString()

### visit

    public void visit(MockVisitor v)

  Overrides:
    `visit` in class `MockContainer`

### createUpEvent

    public Event createUpEvent()

  Specified by:
    `createUpEvent` in class `MockElement`
  Returns:

### createDownEvent

    public Event createDownEvent()

  Specified by:
    `createDownEvent` in class `MockElement`
  Returns:

### createDeleteEvent

    public Event createDeleteEvent()

  Specified by:
    `createDeleteEvent` in class `MockElement`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.